Bug 502081 - UEFI GRUB Fails on headless systems
UEFI GRUB Fails on headless systems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 15:05 EDT by Matt Singer
Modified: 2010-06-28 08:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:38:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Singer 2009-05-21 15:05:00 EDT
Description of problem:

On headless server systems, UEFI grub throws a processor exception due to it's inability to locate a graphics output protocol.  This is different behavior than isolinux, legacy grub, etc.

This effectively prevents the installation on headless systems.

Version-Release number of selected component (if applicable):
Fedora 11 Preview

How reproducible:
100% consistent when no graphics output protocol is present

Steps to Reproduce:
1. Enable serial console redirection
2. Remove or disable any video adapter in the system
3. Attempt UEFI boot from boot.iso on CD
  
Actual results:
System hangs, throws processor exception 0C.

Expected results:
Grub should detect that graphics output is not available, and use text mode EFI console output.

Additional info:
This can be made to work by modifying the bootx64.conf file to remove the splash screen.  Grub will use text mode output in this case.
Comment 1 Enrico Scholz 2009-05-21 15:38:32 EDT
is this really the correct component?
Comment 2 Matt Singer 2009-05-21 15:43:28 EDT
(In reply to comment #1)
> is this really the correct component?  

My mistake.  Thanks Peter for correcting it.
Comment 3 Bug Zapper 2009-06-09 12:17:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 10:26:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:38:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.